import request from '@/utils/request'

// 查询工作动态列表
export function listGzdt(query) {
  return request({
    url: '/tcZz/netManage/gzdt/list',
    method: 'get',
    params: query
  })
}

// 查询工作动态详细
export function getGzdt(id) {
  return request({
    url: '/tcZz/netManage/gzdt/' + id,
    method: 'get'
  })
}

// 新增工作动态
export function addGzdt(data) {
  return request({
    url: '/tcZz/netManage/gzdt',
    method: 'post',
    data: data
  })
}

// 修改工作动态
export function updateGzdt(data) {
  return request({
    url: '/tcZz/netManage/gzdt',
    method: 'put',
    data: data
  })
}

// 删除工作动态
export function delGzdt(id) {
  return request({
    url: '/tcZz/netManage/gzdt/' + id,
    method: 'delete'
  })
}
// 工作动态批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/gzdt/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/gzdt/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}